Name: H5Sis_simple
Signature:
  htri_t `H5Sis_simple`(hid_t `space_id`)
Purpose:
  Determines whether a dataspace is a simple dataspace.
Description:
  `H5Sis_simple` determines whether a dataspace is a simple dataspace. [Currently, all dataspace objects are simple dataspaces, complex dataspace support will be added in the future]
Parameters:

hid_t `space_id` | Identifier of the dataspace to query

Returns:
  When successful, returns a positive value, for `TRUE`, or `0` (zero), for `FALSE`. Otherwise returns a negative value.
Fortran90 Interface: h5sis_simple_f

      SUBROUTINE h5sis_simple_f(space_id, flag, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: space_id    ! Dataspace identifier
        LOGICAL, INTENT(OUT) :: flag              ! Flag, indicates if dataspace
                                                  ! is simple or not:
                                                  ! TRUE or FALSE
        INTEGER, INTENT(OUT) :: hdferr            ! Error code
                                                  ! 0 on success and -1 on failure
      END SUBROUTINE h5sis_simple_f